/*
 * Copyright 2009 Funambol, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id$ */

#include "serverexchange/commands/RequestFWUCommand.h"

using namespace NS_DM_Client;
using namespace NS_DM_Client::NS_Communication;


RequestFWUCommand::RequestFWUCommand(IServerExchangeManager &sem, bool userInitiated) :
	ServerExchangeCommand(sem),
	m_userInitiated(userInitiated),
	m_requestData(0)
{
}


bool RequestFWUCommand::Execute()
{
	char * fumouri = NULL;
	m_SEM.RequestFWUpdate(m_userInitiated, fumouri, m_requestData);
    return true;
}
